<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarModuleProductsCreateProductsFields extends Migration
{

    /**
     * The addon fields.
     *
     * @var array
     */
    protected $fields = [
        'name' => 'anomaly.field_type.text',
        'description' => 'anomaly.field_type.wysiwyg',
        'details' => 'anomaly.field_type.wysiwyg',

        'product_url' => 'anomaly.field_type.url',
        'open_account_url' => 'anomaly.field_type.url',

        'apy' => 'anomaly.field_type.decimal',

        'min_to_open' => 'anomaly.field_type.decimal',

        'min_balance' => 'anomaly.field_type.decimal',
        'max_balance' => 'anomaly.field_type.decimal',

        'product' => [
            'type' => 'anomaly.field_type.relationship',
            'config' => [
                'related' => Terrostar\ProductsModule\Product\ProductModel::class
            ],
        ],
        'category' => [
            'type' => 'anomaly.field_type.relationship',
            'config' => [
                'related' => Terrostar\ProductsModule\Category\CategoryModel::class
            ],
        ],
    ];
}
