<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarModuleProductsMakeMaxBalanceNotRequired extends Migration
{

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $stream = $this->streams()->findBySlugAndNamespace('rates', 'products');
        $field = $this->fields()->findBySlugAndNamespace('max_balance', 'products');

        $assignment = $this->assignments()->findByStreamAndField($stream, $field);

        $assignment->required = false;

        $assignment->save();
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        // Skip this.
    }
}
