<?php namespace Terrostar\ProductsModule\Product;

use Anomaly\Streams\Platform\Database\Seeder\Seeder;
use Terrostar\ProductsModule\Product\Contract\ProductRepositoryInterface;

class ProductSeeder extends Seeder
{

    /**
     * Run the seeder.
     */
    public function run()
    {
        $products = app(ProductRepositoryInterface::class);

        $products->create([
            'name' => 'Checking Title One',
            'category' => 2, // Checking default
            'description' => '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce lobortis dignissim risus non vulputate. Nulla id metus lacinia, mollis arcu nec, vehicula arcu. Vestibulum blandit purus eget semper fringilla. Donec nec lacus arcu.</p>',
            'details' => '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce lobortis dignissim risus non vulputate. Nulla id metus lacinia, mollis arcu nec, vehicula arcu. Vestibulum blandit purus eget semper fringilla. Donec nec lacus arcu.</p>
            <ul><li>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</li><li>Fusce lobortis dignissim risus non vulputate.</li></ul>',
            'open_account_url' => 'https://example.com/',
        ]);

        $products->create([
            'name' => 'Checking Title Two',
            'category' => 2, // Checking default
            'description' => '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce lobortis dignissim risus non vulputate. Nulla id metus lacinia, mollis arcu nec, vehicula arcu. Vestibulum blandit purus eget semper fringilla. Donec nec lacus arcu.</p>',
            'details' => '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce lobortis dignissim risus non vulputate. Nulla id metus lacinia, mollis arcu nec, vehicula arcu. Vestibulum blandit purus eget semper fringilla. Donec nec lacus arcu.</p>
            <ul><li>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</li><li>Fusce lobortis dignissim risus non vulputate.</li></ul>',
            'product_url' => '/products/test',
        ]);
    }
}
