<?php

namespace Terrostar\ProductsModule;

use Terrostar\ProductsModule\Rate\RateSeeder;
use Terrostar\ProductsModule\Product\ProductSeeder;
use Terrostar\ProductsModule\Category\CategorySeeder;
use Anomaly\Streams\Platform\Database\Seeder\Seeder;

/**
 * Class ProductsModuleSeeder
 *
 * @link   http://pyrocms.com/
 * @author PyroCMS, Inc. <support@pyrocms.com>
 * @author Ryan Thompson <ryan@pyrocms.com>
 */
class ProductsModuleSeeder extends Seeder
{

    /**
     * Run the seeder.
     */
    public function run()
    {
        $this->call(CategorySeeder::class);
        $this->call(ProductSeeder::class);
        $this->call(RateSeeder::class);
    }
}
