<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarModuleProductsAddNoMaximumFieldToRates extends Migration
{
    protected $delete = false;

    protected $fields = [
        'no_maximum' => 'anomaly.field_type.boolean',
    ];

    protected $stream = [
        'slug' => 'rates',
        'translatable' => true,
        'versionable' => false,
        'trashable' => false,
        'searchable' => false,
        'sortable' => true,
    ];

    protected $assignments = [
        'no_maximum',
    ];
}
