<?php namespace Terrostar\ProductsModule\Category;

use Anomaly\Streams\Platform\Database\Seeder\Seeder;
use Terrostar\ProductsModule\Category\Contract\CategoryRepositoryInterface;

class CategorySeeder extends Seeder
{

    /**
     * Run the seeder.
     */
    public function run()
    {
        $categories = app(CategoryRepositoryInterface::class);

        $categories->create([
            'name' => 'Certificates of Deposit',
            'description' => '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce lobortis dignissim risus non vulputate. Nulla id metus lacinia, mollis arcu nec, vehicula arcu. Vestibulum blandit purus eget semper fringilla. Donec nec lacus arcu.</p>',
        ]);

        $categories->create([
            'name' => 'Checking Accounts',
            'description' => '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce lobortis dignissim risus non vulputate. Nulla id metus lacinia, mollis arcu nec, vehicula arcu. Vestibulum blandit purus eget semper fringilla. Donec nec lacus arcu.</p>',
        ]);

        $categories->create([
            'name' => 'Savings Accounts',
            'description' => '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce lobortis dignissim risus non vulputate. Nulla id metus lacinia, mollis arcu nec, vehicula arcu. Vestibulum blandit purus eget semper fringilla. Donec nec lacus arcu.</p>',
        ]);

        $categories->create([
            'name' => 'Other Accounts',
            'description' => '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce lobortis dignissim risus non vulputate. Nulla id metus lacinia, mollis arcu nec, vehicula arcu. Vestibulum blandit purus eget semper fringilla. Donec nec lacus arcu.</p>',
        ]);
    }
}
