<?php namespace Terrostar\ProductsModule\Rate;

use Anomaly\Streams\Platform\Database\Seeder\Seeder;
use Terrostar\ProductsModule\Rate\Contract\RateRepositoryInterface;

class RateSeeder extends Seeder
{

    /**
     * Run the seeder.
     */
    public function run()
    {
        $rates = app(RateRepositoryInterface::class);

        $rates->create([
            'product' => 1,
            'min_balance' => 0.01,
            'max_balance' => 100,
            'apy' => 1.0,
            'min_to_open' => 5000,
        ]);

        $rates->create([
            'product' => 1,
            'min_balance' => 100.01,
            'max_balance' => 1000,
            'apy' => 1.5,
            'min_to_open' => 5000,
        ]);
    }
}
